package com.ruoyi.project.asset.mapper;

import java.util.List;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.project.asset.domain.TSpecdevAsset;

/**
 * 资产与运营Mapper接口
 * 
 * @author ruoyi
 * @date 2022-10-12
 */
public interface TSpecdevAssetMapper 
{
    /**
     * 查询资产与运营
     * 
     * @param id 资产与运营ID
     * @return 资产与运营
     */
    public TSpecdevAsset selectTSpecdevAssetById(Long id);

    /**
     * 查询资产与运营列表
     * 
     * @param tSpecdevAsset 资产与运营
     * @return 资产与运营集合
     */
    @DataScope(deptAlias = "d")
    public List<TSpecdevAsset> selectTSpecdevAssetList(TSpecdevAsset tSpecdevAsset);

    /**
     * 新增资产与运营
     * 
     * @param tSpecdevAsset 资产与运营
     * @return 结果
     */
    public int insertTSpecdevAsset(TSpecdevAsset tSpecdevAsset);

    /**
     * 修改资产与运营
     * 
     * @param tSpecdevAsset 资产与运营
     * @return 结果
     */
    public int updateTSpecdevAsset(TSpecdevAsset tSpecdevAsset);

    /**
     * 删除资产与运营
     * 
     * @param id 资产与运营ID
     * @return 结果
     */
    public int deleteTSpecdevAssetById(Long id);

    /**
     * 批量删除资产与运营
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpecdevAssetByIds(Long[] ids);
}
